package cn.iocoder.yudao.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 驾校系统可用角色枚举
 *
 * @author vinjor-m
 */
@AllArgsConstructor
@Getter
public enum SchoolRoleEnum {
    /**
     * 驾校业务管理员
     */
    ADMIN("jiaxiao","驾校业务管理员"),
    /**
     * 驾校工作人员
     */
    STAFF("school_staff","驾校安全员"),
    /**
     * 驾校教练
     */
    COACH("instructor","驾校教练"),
    /**
     * 驾校业务经理
     */
    BUSINESS("school_business", "驾校业务经理");


    /**
     * 角色code
     */
    private String code;
    /**
     * 角色名称
     */
    private String name;

    /**
     * 根据角色code返回对应的枚举
     * @author vinjor-M
     * @date 14:23 2024/10/16
     * @param code 角色code
     * @return cn.iocoder.yudao.common.SystemEnum
     **/
    public static SchoolRoleEnum getRole(String code) {
        for (SchoolRoleEnum roleEnum : SchoolRoleEnum.values()) {
            if (roleEnum.getCode().equalsIgnoreCase(code)) {
                // 找到对应的枚举
                return roleEnum;
            }
        }
        throw new IllegalArgumentException("无效的角色code：" + code);
    }

}
